import { ComponentFixture, TestBed } from '@angular/core/testing';

import { getMockPipe } from '@shared/pipes/pipe.mock';
import { DurationComponent } from './duration.component';

describe('DurationComponent', () => {
    let component: DurationComponent;
    let fixture: ComponentFixture<DurationComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            declarations: [DurationComponent, getMockPipe('duration')],
        }).compileComponents();
    });

    beforeEach(() => {
        fixture = TestBed.createComponent(DurationComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
